Subject: Re: [BEHAVE] adopt draft-van-beijnum-behave-ftp64-06 as WG item

From: Kai Ju <[email-masked]>
Date: Mon, 2 Nov 2009 08:51:43 +0800

Having the proper authors to maintenance and improve the document is also an
important base for a WG document.Further more, more contributers to the
document will have no harm, conversely， will help to make the document
better and frelect the consensus.

BR, Kai

2009/10/29, marcelo bagnulo braun <[email-masked]>:
>
> that s exactly the condition that i find very strange for adopting a
> document... either the document is a good base for a WG document or not,
> irrespectively of the editors that the document has.
>
> the basis for accepting a WG document should be technical reasons not
> whether you like or not the editor list.
>
> regards, marcelo
>
>
> Kai Ju escribió:
> > jiang sheng's pre condition is quite clear, by including other author,
> > this draft could be adopted.
> >
> > 2009/10/29 marcelo bagnulo braun <[email-masked]
> > <mailto:[email-masked]>>
> >
> >     so, you do agree to take this doc as a WG item, right?
> >
> >
> >     Sheng Jiang escribió:
> >     > My opinions here is simple: without the contributions from China
> >     Mobile, the
> >     > draft is not good enough to be adopted as WG document though its
> >     initial
> >     > contents are valuable and important. I support the current draft
> >     to be
> >     > adopted for its contents without conditions. I also think single
> >     author does
> >     > not respect the others who makes important contributions.
> >     >
> >     > Furthermore, after the draft be accepted as WG document, future
> >     refine work
> >     > is still needed. A coauthor from China Mobile, who has proofed
> >     understanding
> >     > ftp64 issues, will only do good for the work.
> >     >
> >     > I don't understand the insistence why rejects a helpful
> >     coauthor. For me, if
> >     > an expert who understands my draft well wants to coauthor my
> >     draft with
> >     > valuable contributions, he will be really appreciated.
> >     >
> >     > Best regards,
> >     >
> >     > Sheng
> >     >
> >     >
> >     >> -----Original Message-----
> >     >> From: [email-masked] <mailto:[email-masked]>
> >     >> [mailto:[email-masked]
> >     <mailto:[email-masked]>] On Behalf Of marcelo bagnulo braun
> >     >> Sent: Thursday, October 29, 2009 2:44 PM
> >     >> To: Sheng Jiang
> >     >> Cc: [email-masked] <mailto:[email-masked]>; 'Zhen Cao'; '刘大
> >     鹏'; '曹振'; 'Behave
> >     >> Chairs'; 'Dan Wing'
> >     >> Subject: Re: [BEHAVE] adopt draft-van-beijnum-behave-ftp64-06
> >     >> as WG item
> >     >>
> >     >> What strikes me is that you seem to be conditioning the
> >     >> support for acceptance of this doc as WG document to the fact
> >     >> whether and additional editor is added to the document or not.
> >     >>
> >     >> These seems different issues imho. Any document needs to
> >     >> reflect the WG consensus whether it has one or many _editors_
> >     >>
> >     >> The question at hand is whehter this document is or not a
> >     >> good starting point to do that.
> >     >>
> >     >> Regards, marcelo
> >     >>
> >     >>
> >     >>
> >     >> Sheng Jiang escribió:
> >     >>
> >     >>> Hi, Iljitsch,
> >     >>>
> >     >>> Taking one coauthor from the carriers, who would be the
> >     >>>
> >     >> major user of
> >     >>
> >     >>> ftp64, would potentially make your work better. Actually,
> >     >>>
> >     >> their work
> >     >>
> >     >>> has already improved your draft as you took input from
> >     >>>
> >     >> their draft and
> >     >>
> >     >>> the discussion with them. It should do no harm for you, I guess.
> >     >>>
> >     >>> Sheng
> >     >>>
> >     >>>
> >     >>>
> >     >>>> -----Original Message-----
> >     >>>> From: [email-masked] <mailto:[email-masked]>
> >     >>>> [mailto:[email-masked]
> >     <mailto:[email-masked]>] On Behalf Of marcelo bagnulo braun
> >     >>>> Sent: Wednesday, October 28, 2009 3:55 PM
> >     >>>> To: Zhen Cao
> >     >>>> Cc: 刘大鹏; 曹振; [email-masked] <mailto:[email-masked]>;
> >     Behave Chairs; Dan Wing
> >     >>>> Subject: Re: [BEHAVE] adopt
> >     >>>>
> >     >> draft-van-beijnum-behave-ftp64-06 as WG
> >     >>
> >     >>>> item
> >     >>>>
> >     >>>> Zhen,
> >     >>>>
> >     >>>> from the points you make, it doesn't seem that you have a
> >     >>>>
> >     >> fundamental
> >     >>
> >     >>>> problem with the document but changes that can easily be
> >     >>>>
> >     >> integrated
> >     >>
> >     >>>> in the document, if the WG agreed with them. Since we are only
> >     >>>> accepting a WG document and not in WGLC, i don't think the
> >     >>>>
> >     >> argument
> >     >>
> >     >>>> is strong not ot accept the doc as a WG document, it just
> >     >>>>
> >     >> needs to be
> >     >>
> >     >>>> improved as any other doc when accepted as WG document.
> >     >>>>
> >     >>>> Regards, marcelo
> >     >>>>
> >     >>>>
> >     >>>> Zhen Cao escribió:
> >     >>>>
> >     >>>>
> >     >>>>> 2009/10/28 Dan Wing <[email-masked] <mailto:[email-masked]
> >>:
> >     >>>>>
> >     >>>>>
> >     >>>>>
> >     >>>>>>
> >     >>>>>>
> >     >>>>>>
> >     >>>>>>> -----Original Message-----
> >     >>>>>>> From: Zhen Cao [mailto:[email-masked]
> >     <mailto:[email-masked]>]
> >     >>>>>>> Sent: Tuesday, October 27, 2009 8:40 AM
> >     >>>>>>> To: Dan Wing
> >     >>>>>>> Cc: [email-masked] <mailto:[email-masked]>; 刘大鹏; 曹
> >     振; Behave Chairs
> >     >>>>>>> Subject: Re: [BEHAVE] adopt
> >     >>>>>>>
> >     >>>>>>>
> >     >>>> draft-van-beijnum-behave-ftp64-06 as WG
> >     >>>>
> >     >>>>
> >     >>>>>>> item
> >     >>>>>>>
> >     >>>>>>> Hi Dan and All,
> >     >>>>>>>
> >     >>>>>>> Many parts of the document are still very confusing. 1)
> >     >>>>>>>
> >     >>>>>>>
> >     >>>> It did not
> >     >>>>
> >     >>>>
> >     >>>>>>> clearly specify the target scenario. From the title,
> >     people may
> >     >>>>>>> think it is talking about IPv6 ftp client communicating
> >     >>>>>>>
> >     >>>>>>>
> >     >>>> with IPv4 server.
> >     >>>>
> >     >>>>
> >     >>>>>>> But in section.5, it confuses me a lot by this sentence
> >     >>>>>>>
> >     >>>>>>>
> >     >>>> "even if the
> >     >>>>
> >     >>>>
> >     >>>>>>> client has IPv4 reachability......". 2) ALG problem. Section
> 6
> >     >>>>>>> starts with ALG but does not specify clearly which case
> >     >>>>>>>
> >     >> needs ALG
> >     >>
> >     >>>>>>> and which does not.
> >     >>>>>>>
> >     >>>>>>>
> >     >>>>>>>
> >     >>>>>> Thanks. I expect those can be resolved as the document
> >     >>>>>>
> >     >>>>>>
> >     >>>> progresses as
> >     >>>>
> >     >>>>
> >     >>>>>> a WG document.
> >     >>>>>>
> >     >>>>>>
> >     >>>>>>
> >     >>>>> Back to Andrew's proposal, I was just raising some concerns
> >     >>>>>
> >     >>>>>
> >     >>>> on why I
> >     >>>>
> >     >>>>
> >     >>>>> do not support the adoption. I am afraid it is not a solid
> >     basis.
> >     >>>>> _______________________________________________
> >     >>>>> Behave mailing list
> >     >>>>> [email-masked] <mailto:[email-masked]>
> >     >>>>> https://www.ietf.org/mailman/listinfo/behave
> >     >>>>>
> >     >>>>>
> >     >>>>>
> >     >>>> _______________________________________________
> >     >>>> Behave mailing list
> >     >>>> [email-masked] <mailto:[email-masked]>
> >     >>>> https://www.ietf.org/mailman/listinfo/behave
> >     >>>>
> >     >>>>
> >     >>>>
> >     >>>
> >     >>>
> >     >> _______________________________________________
> >     >> Behave mailing list
> >     >> [email-masked] <mailto:[email-masked]>
> >     >> https://www.ietf.org/mailman/listinfo/behave
> >     >>
> >     >>
> >     >
> >     >
> >     >
> >
> >     _______________________________________________
> >     Behave mailing list
> >     [email-masked] <mailto:[email-masked]>
> >     https://www.ietf.org/mailman/listinfo/behave
> >
> >
>
>

---

From: marcelo bagnulo braun <[email-masked]>
Date: Mon, 02 Nov 2009 07:45:28 +0100

sigh, there seem to be a severe misunderstanding of the IETF process here.

documents do not have authors, have editors.

editors are usually people that have contributed with a significant
amount of text to the document.

simple counter examples to your statement about several editors are
needed to maintain and improve the document:

- RFC791, IPv4 protocol, only one editor.
- RFC793, TCP protocol, only one editor.
- RFC2460, IPv6 protocol, two editors
- RFC4555, MOBKE protocol, one editor.
and an extremely long list of etc... actually, there are 2859 documents
with only one editor, according to stats, which is the 39,18% of the
documents in the IETF the highest percentage (not surprisingly, followed
by the 26% of document with two editors)

If what you said was true, most of the documents would have the maximum
number of editors i.e. 5 editors, but only 5% of the document have 5
editors.

So, documents with only one editor are extremely common and the
resulting documents can have an excelent quality and it is the most
common situation in the ietf.

Regards, marcelo

Kai Ju escribió:
> Having the proper authors to maintenance and improve the document is
> also an important base for a WG document.Further more, more
> contributers to the document will have no harm, conversely， will help
> to make the document better and frelect the consensus.
> BR, Kai
>
> 2009/10/29, marcelo bagnulo braun <[email-masked]
> <mailto:[email-masked]>>:
>
>     <mailto:[email-masked]>
>     > <mailto:[email-masked] <mailto:[email-masked]>>>
>     >
>     > >> From: [email-masked]
>     <mailto:[email-masked]> <mailto:[email-masked]
>     <mailto:[email-masked]>>
>     > >> [mailto:[email-masked] <mailto:[email-masked]>
>     > <mailto:[email-masked]
>     <mailto:[email-masked]>>] On Behalf Of marcelo bagnulo braun
>     > >> Cc: [email-masked] <mailto:[email-masked]>
>     <mailto:[email-masked] <mailto:[email-masked]>>; 'Zhen Cao'; '刘大
>     > 鹏'; '曹振'; 'Behave
>     > >> Chairs'; 'Dan Wing'
>     > >>>> From: [email-masked]
>     <mailto:[email-masked]> <mailto:[email-masked]
>     <mailto:[email-masked]>>
>     <mailto:[email-masked]>
>     > <mailto:[email-masked]
>     <mailto:[email-masked]>>] On Behalf Of marcelo bagnulo braun
>     > >>>> Cc: 刘大鹏; 曹振; [email-masked] <mailto:[email-masked]>
>     <mailto:[email-masked] <mailto:[email-masked]>>;
>     > Behave Chairs; Dan Wing
>     > >>>>> 2009/10/28 Dan Wing <[email-masked]
>     <mailto:[email-masked]> <mailto:[email-masked]
>     <mailto:[email-masked]>>>:
>     > >>>>>
>     > >>>>>
>     > >>>>>
>     > >>>>>>
>     > >>>>>>
>     > >>>>>>
>     <mailto:[email-masked]>
>     > <mailto:[email-masked] <mailto:[email-masked]>>]
>     > >>>>>>> Cc: [email-masked] <mailto:[email-masked]>
>     <mailto:[email-masked] <mailto:[email-masked]>>; 刘大鹏; 曹
>     > 振; Behave Chairs
>     > >>>>>>> client has IPv4 reachability......". 2) ALG problem.
>     Section 6
>     <mailto:[email-masked] <mailto:[email-masked]>>
>     <mailto:[email-masked] <mailto:[email-masked]>>
>     <mailto:[email-masked] <mailto:[email-masked]>>
>     > [email-masked] <mailto:[email-masked]> <mailto:[email-masked]
>     <mailto:[email-masked]>>

---

From: Zhen Cao <[email-masked]>
Date: Wed, 4 Nov 2009 09:40:16 +0800

On Fri, Oct 30, 2009 at 11:39 PM, Dan Wing <[email-masked]> wrote:
>> Note that i raised some questions and do not think the current draft
>> is a solid basis, although chairs do not think they are fundamental
>> issues.
>
> Yes, I made note of the comments, and as I indicated in my reply
> they can be corrected.  Documents are not perfect -- or complete --
> when adopted by the working group.  Once the working group adopts
> the document, the working group has change control over the
> document and can direct the authors to make the changes the WG
> deems necessary.
>
>> I do not know what can be a 'fundamental' issue.  Thanks.
>
> For example, the technique described in the document will
> not work as expected / desired.
>
This is obviously true. But for documents which enter the adoption
procedure, i do not think such a fundamental issue may exist. If this
criterion has never been triggered in practice or even in practice, i
do not think it is meaningful.

---

From: bo zhou <[email-masked]>
Date: Wed, 4 Nov 2009 11:14:09 +0800

Well, i do not think one editor is a common culture in IETF, especially
behave working group.

RFC:
rfc4787, two editors
rfc5134, two editors
rfc5128, four editors
rfc5382, five editors
etc.

Working group draft:
NAT64: three editors
IPv6 addressing of IPv4/IPv6 translators: five editors
NAT behavior discovery using STUN: two editors
etc.

Hence, i think if the editor contribute something is valuable, the first
editor should consider add the other editor as draft editor. However, if the
first editor think the others only contribute little, he can avoid adding.
Personal suggestion only.

regards,

Bo

2009/11/2 marcelo bagnulo braun <[email-masked]>

> >     > >> [mailto:[email-masked] <mailto:[email-masked]
> >
> [email-masked]

-- 
Regards,

Bo Zhou
China Mobile

---

From: "Dan Wing" <[email-masked]>
Date: Tue, 3 Nov 2009 19:18:18 -0800

Thank you for everyone's input on this topic.

-d

> [mailto:[email-masked]] On Behalf Of bo zhou
> Sent: Tuesday, November 03, 2009 7:14 PM
> To: marcelo bagnulo braun
> Cc: Sheng Jiang; [email-masked]; Zhen Cao; 鹏'; 曹振; Behave 
> Chairs; Dan Wing; Kai Ju
> Well, i do not think one editor is a common culture in IETF, 
> especially behave working group.
>  
> RFC:
> rfc4787, two editors
> rfc5134, two editors
> rfc5128, four editors
> rfc5382, five editors
> etc.
>  
> Working group draft:
> NAT64: three editors
> Hence, i think if the editor contribute something is 
> valuable, the first editor should consider add the other 
> editor as draft editor. However, if the first editor think 
> the others only contribute little, he can avoid adding. 
> 	>     document... either the document is a good base 
> for a WG document
> 	>     or not,
> 	>     > jiang sheng's pre condition is quite clear, by 
> including other
> 	>     author,
> 	>     <mailto:[email-masked] 
> <mailto:[email-masked]>>; 'Zhen Cao'; '刘大
> 	
> 	>     > 鹏'; '曹振'; 'Behave
> 	>     > >> Chairs'; 'Dan Wing'
> draft-van-beijnum-behave-ftp64-06
> 	>     > >> as WG item
> 	>     > >>
> <mailto:[email-masked]

---

From: marcelo bagnulo braun <[email-masked]>
Date: Wed, 04 Nov 2009 08:31:29 +0100

> do not think it is meaningful.
I am not sure what do you mean by this...

There are plenty of cases where multiple very different approaches were 
proposed to address the same problem and the WG selected one of them on 
the exact grounds an is describing.

Just to name a (maybe extreme) case, in the shim6 case, there were over 
35 very different competing proposals....

Regards, marcelo

---

From: marcelo bagnulo braun <[email-masked]>
Date: Wed, 04 Nov 2009 08:40:55 +0100

> Well, i do not think one editor is a common culture in IETF,

Really, arguing against facts seems hardly a good approach.

see http://www.arkko.com/tools/allstats/authdistr.html

# 1084 documents (14.86%) have 3 authors
# 1905 documents (26.11%) have 2 authors
# 2859 documents (39.18%) have 1 authors

So, having one editor is the most common approach in the IETF, this is a
fact.

Regards, marcelo

---

From: marcelo bagnulo braun <[email-masked]>
Date: Wed, 04 Nov 2009 08:42:52 +0100

ooops, sorry for the last two emails i sent on this topic after Dan
closed the disucssion.

I missed Dan's email.

I won't reply any further email on this issue.

Regards, marcelo